about summary refs log tree commit diff
path: root/users/fcuny/blog/scripts/deploy.sh
diff options
context:
space:
mode:
authorFranck Cuny <franck@fcuny.net>2022-05-25 17:53:12 -0700
committerFranck Cuny <franck@fcuny.net>2022-05-25 17:53:12 -0700
commitfa4da9546d321b7837469cfd006ee45c57c3ae29 (patch)
treec4d47129fd9515b0fe5377da235f6e4b7eb2fe26 /users/fcuny/blog/scripts/deploy.sh
parentref(blog): drop the `enableGitInfo` option (diff)
downloadworld-fa4da9546d321b7837469cfd006ee45c57c3ae29.tar.gz
ref(blog): drop the flake configuration
There's no need to have multiple `flake.nix` in the repository. Make the
blog part of the flake configuration at the root level of the
repository, delete the one in the blog, and update the documentation.
Diffstat (limited to 'users/fcuny/blog/scripts/deploy.sh')
-rwxr-xr-xusers/fcuny/blog/scripts/deploy.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/users/fcuny/blog/scripts/deploy.sh b/users/fcuny/blog/scripts/deploy.sh
index 69ad82a..4199766 100755
--- a/users/fcuny/blog/scripts/deploy.sh
+++ b/users/fcuny/blog/scripts/deploy.sh
@@ -1,8 +1,14 @@
 #!/usr/bin/env bash
 
+set -ueo pipefail
+
+cd $(git rev-parse --show-toplevel)
+
 git diff --exit-code
 git diff --staged --exit-code
 
+cd users/fcuny/blog
+
 flyctl deploy
 
 VERSION=$(flyctl info -j |jq -r '.App | "fcuny.net/v\(.Version)"')